Problema com o apt-get update

1. Problema com o apt-get update

Renan Lopes Alves
renansccp

(usa Outra)

Enviado em 30/06/2014 - 02:31h

Olá pessoa, não estou consiguindo atualizar meu sistema sempre quando dou o comando 'apt-get update' retorna o seguinte erro:

Obter:1 http://http.packages.debian.org import Release.gpg
Atingido http://linux.dropbox.com sid Release.gpg
Obter:2 http://http.packages.debian.org import Release
Ign http://http.packages.debian.org import Release
E: Erro GPG: http://http.packages.debian.org import Release: As seguintes assinaturas eram inválidas: NODATA 1 NODATA 2

Alguma solução??


  


2. Re: Problema com o apt-get update

Danilo Silva Mattos
danilo.mattos

(usa Debian)

Enviado em 30/06/2014 - 08:02h

Bom dia !

Você pode tentar resolver o problema atualizando o mirror do debian no arquivo source.list

1ª nano /etc/apt/source.list

e adicione as seguintes linhas:

deb http://security.debian.org/ wheezy/updates main
deb http://ftp.br.debian.org/debian/ wheezy main contrib non-free

Tudo que for diferente destas linhas você comentar.

depois bata rodar o comando apt-get update; apt-get upgrade; apt-get dist-upgrade -y

Espero que tenha resolvido boa sorte.



3. Re: Problema com o apt-get update

Renan Lopes Alves
renansccp

(usa Outra)

Enviado em 30/06/2014 - 11:09h

danilo.mattos escreveu:

Bom dia !

Você pode tentar resolver o problema atualizando o mirror do debian no arquivo source.list

1ª nano /etc/apt/source.list

e adicione as seguintes linhas:

deb http://security.debian.org/ wheezy/updates main
deb http://ftp.br.debian.org/debian/ wheezy main contrib non-free

Tudo que for diferente destas linhas você comentar.

depois bata rodar o comando apt-get update; apt-get upgrade; apt-get dist-upgrade -y

Espero que tenha resolvido boa sorte.


Bom dia, fiz o que vc disse e até determinado ponto deu certo, depois apareceu isso:

W: Duplicate sources.list entry http://http.kali.org/kali">http://http.kali.org/kali/">http://http.kali.org/kali">http://http.kali.org/kali/ kali/main amd64 Packages (/var/lib/apt/lists/http.kali.org_kali_dists_kali_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://http.kali.org/kali">http://http.kali.org/kali/">http://http.kali.org/kali">http://http.kali.org/kali/ kali/contrib amd64 Packages (/var/lib/apt/lists/http.kali.org_kali_dists_kali_contrib_binary-amd64_Packages)
W: Duplicate sources.list entry http://http.kali.org/kali">http://http.kali.org/kali/">http://http.kali.org/kali">http://http.kali.org/kali/ kali/non-free amd64 Packages (/var/lib/apt/lists/http.kali.org_kali_dists_kali_non-free_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.kali.org/kali-security/">http://security.kali.org/kali-security/ kali/updates/main amd64 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.kali.org/kali-security/">http://security.kali.org/kali-security/ kali/updates/contrib amd64 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_contrib_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.kali.org/kali-security/">http://security.kali.org/kali-security/ kali/updates/non-free amd64 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_non-free_binary-amd64_Packages)
W: Você terá que executar apt-get update para corrigir estes problemas

Olhe minha source.list

#

# deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot amd64 LIVE/INSTALL Binary 20140108-17:05]/ kali contrib main non-free

#deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot amd64 LIVE/INSTALL Binary 20140108-17:05]/ kali contrib main non-free

deb http://http.kali.org/kali">http://http.kali.org/kali kali main non-free contrib
deb-src http://http.kali.org/kali">http://http.kali.org/kali kali main non-free contrib

## Security updates
deb http://security.kali.org/kali-security kali/updates main contrib non-free

#
deb http://http.kali.org/ /kali main contrib non-free
deb http://http.kali.org/ /wheezy main contrib non-free
deb http://http.kali.org/kali">http://http.kali.org/kali kali-dev main contrib non-free
deb http://http.kali.org/kali">http://http.kali.org/kali kali-dev main/debian-installer
deb-src http://http.kali.org/kali">http://http.kali.org/kali kali-dev main contrib non-free
deb http://http.kali.org/kali">http://http.kali.org/kali kali main contrib non-free
deb http://http.kali.org/kali">http://http.kali.org/kali kali main/debian-installer
deb-src http://http.kali.org/kali">http://http.kali.org/kali kali main contrib non-free
deb http://security.kali.org/kali-security kali/updates main contrib non-free
deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

#
#deb http://http.packages.debian.org import deb packages
deb http://security.debian.org/ wheezy/updates main
deb http://ftp.br.debian.org/debian/ wheezy main contrib non-free

Acho que não tem nada duplicado aí, grato pela ajuda desde já!


4. Re: Problema com o apt-get update

Danilo Silva Mattos
danilo.mattos

(usa Debian)

Enviado em 30/06/2014 - 11:30h

Faça o seguinte teste:

Deixe apenas as linhas:
deb http://security.debian.org/ wheezy/updates main
deb http://ftp.br.debian.org/debian/ wheezy main contrib non-free

e comente as demais e veja oque acontece.


5. Re: Problema com o apt-get update

Renan Lopes Alves
renansccp

(usa Outra)

Enviado em 30/06/2014 - 11:46h

danilo.mattos escreveu:

Faça o seguinte teste:

Deixe apenas as linhas:
deb http://security.debian.org/ wheezy/updates main
deb http://ftp.br.debian.org/debian/ wheezy main contrib non-free

e comente as demais e veja oque acontece.


Deu certo agora, mas deixa eu explicar pq estou fazendo isso, eu preciso implementar um servidor NTP (trabalho da facul..) só que mesmo depois de fazer o update n consegui instalar o NTP apareceu:

Configurando extlinux (3:6.03~pre1+dfsg-1kali3) ...
P: Checking for EXTLINUX directory... found.
/boot/vmlinuz-3.12-kali1-amd64
P: Writing config for /boot/vmlinuz-3.12-kali1-amd64...
I: os-proper disabled in /etc/default/extlinux: Skipping /boot/extlinux/os-proper.cfg
E: /usr/share/EXTLINUX/themes/debian: No such file or directory
dpkg: erro ao processar extlinux (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
extlinux
E: Sub-process /usr/bin/dpkg returned an error code (1)


Desculpa minha série de perguntas. Obrigado por ajudar!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts